#
# spec file for package nkitb (Version 98.7.20)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf gmp gpp

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         nkitb
Release:      4
Copyright:    
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.7.20
Summary:      A collection of net-programs like ftp, telnet,...
Source: NetKit-0.09.tar.gz
Source1: portmap_5beta.tar.gz
Source2: routed-8.10.tar.gz
Source3: linux-ftpd-0.09-shadow.tar.gz
Source4: NetKit-B-0.06.tar.gz
Source5: telnet.98.02.16.NE.tar.gz 
Source6: ruptime-570.tar.gz
Source7: rpc.rstatd-3.03.tar.gz
Patch: NetKit-0.09.dif
Patch1: portmap_5beta.dif
Patch2: routed-8.10.dif
Patch3: linux-ftpd-0.09-shadow.dif
Patch4: NetKit-B-0.06.dif
Patch5: telnet.98.02.16.NE.dif
Patch6: ruptime-570.dif
Patch7: rpc.rstatd-3.03.dif
%description
A collection of network Utilities.

Authors:
--------
    Florian La Roche <florian@suse.de>

%prep
%setup -n NetKit-0.09 -b 1 -b 2 -b 3 -b 4 -b 5 -b 6 -b 7
%patch
cd ../portmap_5beta
%patch -P 1
cd ../routed-8.10
%patch -P 2
cd ../linux-ftpd-0.09-shadow
%patch -P 3
cd ../NetKit-B-0.06
%patch -P 4
cd ../telnet.98.02.16.NE
%patch -P 5
autoconf
./configure --without-des --without-cast --without-krb4 --without-krb5 --without-srp --without-spx --without-rsaencpwd --without-krb4envpwd --enable-loginf
cd ../ruptime-570
%patch -P 6
cd ../rpc.rstatd-3.03
%patch -P 7
%build
make -f Makefile.Linux compile
install -m755 rpcgen/rpcgen /usr/bin
cd ../portmap_5beta
make -f Makefile.Linux compile
cd ../routed-8.10
make -f Makefile.Linux compile
cd ../linux-ftpd-0.09-shadow
make -f Makefile.Linux compile
cd ../NetKit-B-0.06
make
cd ../telnet.98.02.16.NE
make
cd ../ruptime-570
make
cd ../rpc.rstatd-3.03
make
%install
case "$ABUILD_USED_LIBC" in
    glibc)
	echo > libc5.files
    ;;
    *)
	echo "/usr/bin/rpcgen" > libc5.files
	echo "%%doc /usr/man/man1/rpcgen.1.gz" >> libc5.files
    ;;
esac
make -f Makefile.Linux install
mv /usr/sbin/in.telnetd /usr/sbin/in.telnetd-old
cd ../portmap_5beta
make -f Makefile.Linux install
cd ../routed-8.10
make -f Makefile.Linux install
cd ../linux-ftpd-0.09-shadow
make -f Makefile.Linux install
cd ../NetKit-B-0.06
#mv /usr/bin/telnet /usr/bin/telnet-new
make install
mv /usr/bin/telnet /usr/bin/telnet-old
cd ../telnet.98.02.16.NE
# program files
install -m755 telnet/telnet /usr/bin
install -m755 telnetd/telnetd /usr/sbin/in.telnetd
install -m644 telnet/telnet.1 /usr/man/man1
cd ../ruptime-570
install -m755 ruptime /usr/bin
install -m644 ruptime.1 /usr/man/man1
cd ../rpc.rstatd-3.03
make install
Check
%files -f libc5.files
%dir /usr/doc/packages/portmap
/bin/ping
/usr/bin/biff
/usr/bin/callbootd
/usr/bin/finger
/usr/bin/ftp
/usr/bin/pftp
/usr/bin/rcp
/usr/bin/rlogin
/usr/bin/rpcinfo
/usr/bin/rsh
/usr/bin/rsysinfo
/usr/bin/rusers
/usr/bin/rup
/usr/bin/ruptime
/usr/bin/rwall
/usr/bin/rwho
/usr/bin/talk
/usr/bin/telnet
/usr/bin/telnet-old
/usr/bin/tftp
%doc /usr/doc/packages/portmap/BLURB
%doc /usr/doc/packages/portmap/README
%doc /usr/man/man1/biff.1.gz
%doc /usr/man/man1/finger.1.gz
%doc /usr/man/man1/ftp.1.gz
%doc /usr/man/man1/pftp.1.gz
%doc /usr/man/man1/rcp.1.gz
%doc /usr/man/man1/rlogin.1.gz
%doc /usr/man/man1/rsh.1.gz
%doc /usr/man/man1/rsysinfo.1.gz
%doc /usr/man/man1/rusers.1.gz
%doc /usr/man/man1/rup.1.gz
%doc /usr/man/man1/ruptime.1.gz
%doc /usr/man/man1/rwall.1.gz
%doc /usr/man/man1/rwho.1.gz
%doc /usr/man/man1/talk.1.gz
%doc /usr/man/man1/telnet.1.gz
%doc /usr/man/man1/tftp.1.gz
%doc /usr/man/man5/issue.net.5.gz
%doc /usr/man/man8/bootparamd.8.gz
%doc /usr/man/man8/comsat.8.gz
%doc /usr/man/man8/fingerd.8.gz
%doc /usr/man/man8/ftpd.8.gz
%doc /usr/man/man8/in.comsat.8.gz
%doc /usr/man/man8/in.fingerd.8.gz
%doc /usr/man/man8/in.ftpd.8.gz
%doc /usr/man/man8/in.ntalkd.8.gz
%doc /usr/man/man8/in.rexecd.8.gz
%doc /usr/man/man8/in.rlogind.8.gz
%doc /usr/man/man8/in.rshd.8.gz
%doc /usr/man/man8/in.talkd.8.gz
%doc /usr/man/man8/in.telnetd.8.gz
%doc /usr/man/man8/in.tftpd.8.gz
%doc /usr/man/man8/inetd.8.gz
%doc /usr/man/man8/ntalkd.8.gz
%doc /usr/man/man8/ping.8.gz
%doc /usr/man/man8/portmap.8.gz
%doc /usr/man/man8/rexecd.8.gz
%doc /usr/man/man8/rlogind.8.gz
%doc /usr/man/man8/routed.8.gz
%doc /usr/man/man8/rpc.bootparamd.8.gz
%doc /usr/man/man8/rpc.rstatd.8.gz
%doc /usr/man/man8/rpc.rusersd.8.gz
%doc /usr/man/man8/rpc.rwalld.8.gz
%doc /usr/man/man8/rpcinfo.8.gz
%doc /usr/man/man8/rshd.8.gz
%doc /usr/man/man8/rstatd.8.gz
%doc /usr/man/man8/rusersd.8.gz
%doc /usr/man/man8/rwalld.8.gz
%doc /usr/man/man8/rwhod.8.gz
%doc /usr/man/man8/talkd.8.gz
%doc /usr/man/man8/telnetd.8.gz
%doc /usr/man/man8/tftpd.8.gz
%doc /usr/man/man8/timed.8.gz
%doc /usr/man/man8/timedc.8.gz
/usr/sbin/in.comsat
/usr/sbin/in.fingerd
/usr/sbin/in.ftpd
/usr/sbin/in.ntalkd
/usr/sbin/in.rexecd
/usr/sbin/in.rlogind
/usr/sbin/in.rshd
/usr/sbin/in.talkd
/usr/sbin/in.telnetd
/usr/sbin/in.telnetd-old
/usr/sbin/in.tftpd
/usr/sbin/inetd
/usr/sbin/pmap_dump
/usr/sbin/pmap_set
/usr/sbin/portmap
/usr/sbin/ripquery
/usr/sbin/routed
/usr/sbin/rpc.bootparamd
/usr/sbin/rpc.rstatd
/usr/sbin/rpc.rusersd
/usr/sbin/rpc.rwalld
/usr/sbin/rwhod
/usr/sbin/timed
/usr/sbin/timedc

